> ## Documentation Index
> Fetch the complete documentation index at: https://docs.burki.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Document

> Delete a document from an assistant's knowledge base.

This endpoint permanently deletes a document from an assistant's knowledge base. This action also removes all associated vector embeddings from the database and cannot be undone.

### Path Parameters

* `assistant_id` (string, **required**): The identifier of the assistant that owns the document.
* `document_id` (string, **required**): The identifier of the document to delete.

### Response

A successful deletion will return a `200 OK` status code with a confirmation message.

```json Response theme={null}
{
  "message": "Document deleted successfully"
}
```


## OpenAPI

````yaml DELETE /api/v1/assistants/{assistant_id}/documents/{document_id}
openapi: 3.1.0
info:
  title: Burki
  description: A system that uses AI to answer customer Calls.
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/assistants/{assistant_id}/documents/{document_id}:
    delete:
      tags:
        - assistants
      summary: Delete Document
      description: Delete a document from an assistant's knowledge base.
      operationId: >-
        delete_document_api_v1_assistants__assistant_id__documents__document_id__delete
      parameters:
        - name: assistant_id
          in: path
          required: true
          schema:
            type: integer
            title: Assistant Id
        - name: document_id
          in: path
          required: true
          schema:
            type: integer
            title: Document Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````